View Issue Details

IDProjectCategoryView StatusLast Update
0005417Talerobsolete componentpublic2024-02-11 11:47
ReporterTorsten Grothoff Assigned ToMarcello Stanisci  
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformFirefoxOSDebian(Linux)OS Version[LATEST]
Product Version0.5 
Target Version0.6Fixed in Version0.5 
Summary0005417: no href to 2nd page even though it has 1 entry
DescriptionTest.taler.net : no href to 2nd page even though it has 1 entry
Steps To Reproducego to https://bank.test.taler.net/public-accounts/Bank/1
done!
Tags2nd page, Error, Public Accounts, Taler

Activities

Marcello Stanisci

2018-08-02 10:33

reporter   ~0013169

The page shows 15 entries and the DB confirms that; see the log below.

test-green@tripwire:~$ taler-bank-manage django dump_talerdb | grep --color "[-\+]1\>"
+9, -1, TESTKUDOS:100.00 'Joining bonus'
+10, -1, TESTKUDOS:100.00 'Joining bonus'
+11, -1, TESTKUDOS:100.00 'Joining bonus'
+12, -1, TESTKUDOS:100.00 'Joining bonus'
+13, -1, TESTKUDOS:100.00 'Joining bonus'
+14, -1, TESTKUDOS:100.00 'Joining bonus'
+1, -14, TESTKUDOS:123.00 '5'
+1, -14, TESTKUDOS:123.00 'HI'
+15, -1, TESTKUDOS:100.00 'Joining bonus'
+16, -1, TESTKUDOS:100.00 'Joining bonus'
+1, -14, TESTKUDOS:36666666666.00 '36666666666'
+1, -14, TESTKUDOS:36666666666.00 '36666666666'
+1, -14, TESTKUDOS:3666666666666.00 '3666666666666'
+1, -14, TESTKUDOS:36666666666666.00 '36666666666666'
+17, -1, TESTKUDOS:100.00 'Joining bonus'
test-green@tripwire:~$ taler-bank-manage django dump_talerdb | grep --color "[-\+]1\>" | wc -l
15

Marcello Stanisci

2018-08-02 10:34

reporter   ~0013170

Ah, where you see -1 and +1 are records related to the 'Bank' user account; -1 means the bank pays someone, +1 means someone pays the bank.

Marcello Stanisci

2018-08-02 10:36

reporter   ~0013171

The conclusion is that we don't need a second page.

Issue History

Date Modified Username Field Change
2018-08-02 09:08 Torsten Grothoff New Issue
2018-08-02 09:08 Torsten Grothoff Status new => assigned
2018-08-02 09:08 Torsten Grothoff Assigned To => Marcello Stanisci
2018-08-02 09:08 Torsten Grothoff Tag Attached: Error
2018-08-02 09:08 Torsten Grothoff Tag Attached: Taler
2018-08-02 09:08 Torsten Grothoff Tag Attached: 2nd page
2018-08-02 09:08 Torsten Grothoff Tag Attached: Public Accounts
2018-08-02 09:08 Torsten Grothoff Tag Attached: test
2018-08-02 09:08 Torsten Grothoff Tag Attached: test.taler.net
2018-08-02 10:33 Marcello Stanisci Note Added: 0013169
2018-08-02 10:34 Marcello Stanisci Note Added: 0013170
2018-08-02 10:36 Marcello Stanisci Note Added: 0013171
2018-08-02 10:36 Marcello Stanisci Status assigned => resolved
2018-08-02 10:36 Marcello Stanisci Resolution open => no change required
2018-08-02 10:39 Christian Grothoff Status resolved => closed
2018-08-02 10:39 Christian Grothoff Fixed in Version => 0.5
2018-08-02 10:39 Christian Grothoff Target Version => 0.6
2022-08-23 20:26 Christian Grothoff Category bank (demonstrator) => py bank (demonstrator, obsolete)
2023-12-03 01:23 Christian Grothoff Category py bank (demonstrator, obsolete) => obsolete componet
2023-12-11 20:08 Florian Dold Category obsolete componet => obsolete component
2024-02-11 11:47 Christian Grothoff Tag Detached: test
2024-02-11 11:47 Christian Grothoff Tag Detached: test.taler.net